/*
 *  HugeArray.h
 *  Version 2.0 / 010910
 *  by Satoshi Takahashi and Hidekazu Koike
 */


#ifndef HUGEARRAY_H /*pragma once*/
#define HUGEARRAY_H

#ifndef SCLLocal
#include <s_Config.h>
#else
#include "s_Config.h"
#endif

int* MakeArrayInt1(long d1);
int** MakeArrayInt2(long d1, long d2);
int*** MakeArrayInt3(long d1, long d2, long d3);
int**** MakeArrayInt4(long d1, long d2, long d3, long d4);

double* MakeArrayDouble1(long d1);
double** MakeArrayDouble2(long d1, long d2);
double*** MakeArrayDouble3(long d1, long d2, long d3);
double**** MakeArrayDouble4(long d1, long d2, long d3, long d4);
double***** MakeArrayDouble5(long d1, long d2, long d3, long d4, long d5);
double****** MakeArrayDouble6(long d1, long d2, long d3, long d4, long d5, long d6);

long* MakeArrayLong1(long d1);
long** MakeArrayLong2(long d1, long d2);
long*** MakeArrayLong3(long d1, long d2, long d3);
long**** MakeArrayLong4(long d1, long d2, long d3, long d4);

void FreeArrayInt2(int** array,long d1, long d2);
void FreeArrayDouble2(double** array,long d1, long d2);

#endif /* pragma once */
