/*
 *  NewNames.h
 *  Version 1.4.2 / 970917
 *  by Satoshi Takahashi
 */
 
#ifndef NEW_NAMES_H /*pragma once*/
#define NEW_NAMES_H

/*Files.h*/
#define PBGetCatInfo(pb, async) ((async) ? PBGetCatInfoAsync(pb) : PBGetCatInfoSync(pb))

/*Dialogs.h*/
#define GetDItem(theDialog, itemNo, itemType, item, box)  \
	GetDialogItem(theDialog, itemNo, itemType, item, box)
#define SetDItem(theDialog, itemNo, itemType, item, box)  \
	SetDialogItem(theDialog, itemNo, itemType, item, box)
#define SelIText(theDialog, itemNo, strtSel, endSel)  \
	SelectDialogItemText(theDialog, itemNo, strtSel, endSel)
#define GetIText(item, text) GetDialogItemText(item, text)
#define SetIText(item, text) SetDialogItemText(item, text)

/*Memory.h*/
#define DisposHandle(h) DisposeHandle(h)
#define DisposPtr(p) DisposePtr(p)

/*Control.h*/
#define SetCtlValue(theControl, theValue) SetControlValue(theControl, theValue)
#define GetCtlValue(theControl) GetControlValue(theControl)


#endif /*pragma once*/