/*
 *  SCL.c
 *  by Satoshi Takahashi
 */


#ifndef SCL_C /*pragma once*/
#define SCL_C
#include <s_Config.h>
#if S_CARBON
#include <Carbon/Carbon.h>
#endif

#ifndef SCL_USE_WINDOW
#define SCL_USE_WINDOW 1
#endif

#ifndef SCL_PART1
#define SCL_PART1 1
#endif
#ifndef SCL_PART2
#define SCL_PART2 1
#endif
#ifndef SCL_PART3
#define SCL_PART3 1
#endif

#ifdef SYMANTEC_C
#include <PPC Macheaders>
#endif
#define S_SATOSHI2

#if 0 /*No longer use old names*/
#ifdef __MWERKS__
#if __MWERKS__ >= 0x1200
#include <NewNames.h>
#endif
#endif
#endif /*0*/

#if SCL_PART1

#if S_UNIX
#include <s_Toolbox.c>
#include <s_UNIX.c>
#include <SCLXResource.c>
#if OLD_C
#include <OldC.c>
#endif /*OLD_C*/
#endif /*S_UNIX*/

#include <DelayedSetParams.c>

#include <DialogFOpen.c>

#if !S_UNIX
#include <DragAndDrop.c>
/* #include <DrawPictFile.c> */
#endif /*!S_UNIX*/

#include <EPS.c>

#if !S_UNIX
/* #include <Formula.c> */
/* #include <Graph.c> */
#endif /*!S_UNIX*/

#include <HugeArray.c>
/* #include <LinearSolve.c> */
/* #include <Newton.c> */
#include <ParametersDialog.c>
#include <PDProcs.c>
#include <Plot.c>
#include <s_Print.c>
/* #include <RungeKutta.c> */
#include <Save.c>

#endif /*SCL_PART1*/



#if SCL_PART2

#include <StartSCL.c>

#endif /*SCL_PART2*/

#if SCL_PART3


#if !S_UNIX
#include <s_AppleEvent.c>
#endif /*!S_UNIX*/


#include <s_Carbon.c>
#include <s_Common.c>
#include <s_Debug.c>
#include <s_Drawing.c>
#include <s_Math.c>
/* #include <s_Profile.c> */
#include <s_RedrawFunc.c>
#include <s_String.c>

/* #include <s_UNIX.c> */

#endif /*SCL_PART3*/


#endif /*pragma once*/
