/*
 *  s_Config.h
 *  Version 1.8 / 000824
 *  by Satoshi Takahashi
 */
 
#ifndef S_CONFIG_H /*pragma once*/
#define S_CONFIG_H


#ifndef MODIFYLF		
#define MODIFYLF 1
#endif

#ifndef REDEF_SRAND
#define REDEF_SRAND 1
#endif


/********** Debug Switches **********/

#ifndef DEBUG_SCL
#define DEBUG_SCL 0
#endif

#ifndef DEBUG_MODIFYLF
#define DEBUG_MODIFYLF 0
#endif

#ifndef PD_DEBUG
#define PD_DEBUG 0
#endif

#ifndef DEBUG_SCRIPT
#define DEBUG_SCRIPT 0
#endif


/********** UNIX Switches **********/

#ifndef S_UNIX
#define S_UNIX 0
#endif

#ifndef UNIX_SCLC_INCLUDE
#define UNIX_SCLC_INCLUDE 1
#endif

#ifndef OLD_C
#define OLD_C 0
#endif

#ifndef FOREGROUND
#define FOREGROUND 1
#endif

#ifndef UseDataDir
#define UseDataDir 0
#endif

#ifndef RUN
#define RUN 1
#endif

#ifndef UNIXMAC /* use emulating on mac */
#define UNIXMAC 0
#endif

#ifndef XFLAG /* use X Window */
#define XFLAG 0
#endif

#ifndef DirUpdate
#define DirUpdate 1
#endif

#ifndef XDialog
#define XDialog 1 /*XDialog still crushes*/
#endif
#if !S_UNIX
#undef XDialog
#define XDialog 0
#endif


/********** MakeSCL or SCLRun ? **********/

#if S_UNIX

#define MacroToString0(macro) #macro
#define MacroToString(macro) MacroToString0(macro)

#ifndef DataDirName
#define DataDirName
#endif

#if UseDataDir
#define DataDirNameString MacroToString(DataDirName) "/"
#else
#define DataDirNameString ""
#endif

#include <VarHeader.h>
#include <s_Config-v.c>

extern struct s_ConfigType s_Config;

#endif /*S_UNIX*/

/***************** OS X ********************/

#ifndef S_CARBON
#define S_CARBON 0
#endif

#endif /*pragma once*/

