/*
 *  s_Script.h
 *  Version 2.0 / 010910
 *  by Satoshi Takahashi
 */

#ifndef S_SCRIPT_H /*pragma once*/
#define S_SCRIPT_H

#ifndef SCLLocal
#include <s_Config.h>
#else
#include "s_Config.h"
#endif

#include <stdio.h>


void Script(void);
void ScriptLoop(FILE *inputFile);
void DoFileCopy(char *inputLine);
void DoUpdate(char *inputLine);
void DoFileMove(char *inputLine);
void DoReverseFileMove(char *inputLine);
void DoLaunch(char *inputLine);
void DoLaunchOpen(char *inputLine);
void DoKill(char *inputLine);
void DoKillOld(char *inputLine);
void DoTouch(char *inputLine);
void DoRemoveDirectory(char *inputLine);
void DoKeyDown(char *inputLine);
void KeyDownQuote(char *inputLine, short modifiers);
void KeyDownMod(char *inputLine);
void DoMouseDown(char *inputLine);
void DoMouseUp(char *inputLine);
void DoSleep(char *inputLine);
void DoQuit(char *inputLine);
void DoScriptCreator(char *inputLine);

void DoComment(char *inputLine);

#endif /*pragma once*/