/*
 *  CheckArray.h
 *  Version 1.5.1 / 980127
 *  by Satoshi Takahashi
 */

#ifndef CHECKARRAY_H /*pragma once*/
#define CHECKARRAY_H
#include <s_Config.h>

#include <VarHeader.h>
#include <CheckArray-v.c>

#define RegisterArray1(address,limit1,name) \
in_RegisterArray((void *)address,limit1,1,1,1,name)

#define RegisterArray2(address,limit1,limit2,name) \
in_RegisterArray((void *)address,limit1,limit2,1,1,name)

#define RegisterArray3(address,limit1,limit2,limit3,name) \
in_RegisterArray((void *)address,limit1,limit2,limit3,1,name)

#define RegisterArray4(address,limit1,limit2,limit3,limit4,name) \
in_RegisterArray((void *)address,limit1,limit2,limit3,limit4,name)

void in_RegisterArray(void *array, long limit1, long limit2, long limit3, long limit4,
						const char *name);
int FindArray(void *array);

#define CheckArray1(address,index1,position) \
in_CheckArray((void *)address,index1,0,0,0,position)

#define CheckArray2(address,index1,index2,position) \
in_CheckArray((void *)address,index1,index2,0,0,position)

#define CheckArray3(address,index1,index2,index3,position) \
in_CheckArray((void *)address,index1,index2,index3,0,position)

#define CheckArray4(address,index1,index2,index3,index4,position) \
in_CheckArray((void *)address,index1,index2,index3,index4,position)

void in_CheckArray(void *array, long index1, long index2, long index3, long index4,char *position);

#endif /*pragma once*/