/*
 * DelayedSetParams.h
 *  Version 2.0 / 010910
 *  by Satoshi Takahashi
 */

#ifndef DELAYEDSETPARAMS_H
#define DELAYEDSETPARAMS_H

#ifndef SCLLocal
#include <VarHeader.h>
#include <DelayedSetParams-v.c>
#else
#include "VarHeader.h"
#include "DelayedSetParams-v.c"
#endif

void SetParamsIntArray(int **address, int index, int value, int group);
void DSPInitIntArray(void); /*no need to call from user program*/
void DelaySetParamsIntArray(int maxIndex, int group);

void SetParamsDoubleArray(double **address, int index, double value, int group);
void DSPInitDoubleArray(void); /*no need to call from user program*/
void DelaySetParamsDoubleArray(int maxIndex, int group);

void SetDelayParamsNum(int num);
#endif /*pragma once*/
