/*
 *  Formula-Common.c
 *  Version 1.3.4 / 970328
 *  by Satoshi Takahashi
 */

#ifndef FORMULA_COMMON_H
#define FORMULA_COMMON_H
/*********************************** Switches ***********************************/

#include <Formula-Switches.h>

#include <Formula-v.h>

#if DEBUG_FORMULA

void ShowOneFB(s_f_FB* fb,char* str);
void DebugCheckOrder(s_f_FB*);
void DebugCheckOrderFBs(s_f_FB *fb);
void DebugCheckLast(s_f_FB *inFB, s_f_FB *lastFB);
void DebugWriteFile(char *string);

#define df(a,b) ShowOneFB(a,b)
#define fdebug(f) f
#define CheckOrder(a)	DebugCheckOrder(a)
#define CheckOrderFBs(a)	DebugCheckOrderFBs(a)
#define CheckLast(a,b)	DebugCheckLast(a,b)

#else

#define df(a,b)
#define fdebug(f)
#define CheckOrder(a)
#define CheckOrderFBs(a)
#define CheckLast(a,b)

#endif

#define ErrTest(a) \
if (err = a) return err

#endif /*pragma once*/
