/*
 *  Graph3D-v.c
 *  Version 1.9 / 010201
 *  by Satoshi Takahashi
 */

StructBegin(s_g3d)
Member(s_dfddType, f, 0)
Member(s_ifddddType, colorF, 0)
Member(int, color, 1)
Member(double, xMin, 0)
Member(double, xMax, 1)
Member(double, yMin, 0)
Member(double, yMax, 1)
Member(int, xWidth, 300)
Member(int, yWidth, 300)
Member(double, xScale, 100)
Member(double, yScale, 100)
Member(int, equalScale, 0)
Member(double, mag, 100)
Member(int, useResolution, 1)
Member(double, xResolution, 5)
Member(double, yResolution, 5)
Member(int, equalResolution, 1)
Member(double, horizontal, 300)
Member(double, vertical, 350)
Member(double, xyAngle, 30)
Member(double, zAngle, 60)
Member(double, lightXYAngle, -160)
Member(double, lightZAngle, 10)
Member(double, lx, 0.3)
Member(double, ly, -0.2)
Member(double, lz, -1)
Member(double, redTop, 100)
Member(double, greenTop, 100)
Member(double, blueTop, 100)
Member(double, redBase, 0)
Member(double, greenBase, 0)
Member(double, blueBase, 0)
Member(double, xIncrement, 0.01)
Member(double, yIncrement, 0.01)
Member(int, equalIncrement, 1)
Member(int, showAxis, 1)
Member(int, showXLabel, 1)
Member(int, showYLabel, 1)
Member(int, showFLabel, 1)
MemberString(char, xLabel, 256, "x")
MemberString(char, yLabel, 256, "y")
MemberString(char, fLabel, 256, "f")
Member(int, labelSize, 12)
Member(double, fMin, 0)
Member(double, fMax, 3)
Member(int, showXMin, 1)
Member(int, showXMax, 1)
Member(int, showYMin, 1)
Member(int, showYMax, 1)
Member(int, showFMin, 1)
Member(int, showFMax, 1)
Member(int, xMinDigit, 1)
Member(int, xMaxDigit, 1)
Member(int, yMinDigit, 1)
Member(int, yMaxDigit, 1)
Member(int, fMinDigit, 1)
Member(int, fMaxDigit, 1)
Member(int, xLabelX, 5)
Member(int, xLabelY, 15)
Member(int, yLabelX, -10)
Member(int, yLabelY, 15)
Member(int, fLabelX, -15)
Member(int, fLabelY, -20)
Member(int, xDisplaceX, 10)
Member(int, xDisplaceY, 6)
Member(int, yDisplaceX, -25)
Member(int, yDisplaceY, 6)
Member(int, fDisplaceX, -25)
Member(int, fDisplaceY, -6)
Member(int, glid, 1)
Member(int, arrow, 0)
StructEnd(s_g3d)