/*
 *  s_String.h
 *  Version 2.0 / 010910
 *  by Satoshi Takahashi
 */

#ifndef S_STRING_H /*pragma once*/
#define S_STRING_H
#ifndef SCLLocal
#include <s_Config.h>
#else
#include "s_Config.h"
#endif

#if S_UNIX
#include <string.h>
#endif

/******************** c pascal conversion *********************/

#if !S_UNIX
void C2PString(const char* cstring,Str255 pstring);
void P2CString(Str255 pstring, char* cstring);
#else
#define C2PString(a, b) strcpy(b, a)
#define P2CString(a, b) strcpy(b, a)
#endif


/******************** string as stream ***********************/

void SkipSpaces(char **stringp);
int SScanString(char **inputStringP,char *outputString);
int SScanStringTabSepareted(char **inputStringP,char *outputString, int tabF);
int SScanInt(char **inputStringP,int *outputInt);
int SScanDouble(char **inputStringP,double *outputDouble);
int SScanDoubleTabSeparated(char **inputStringP,double *outputDouble, int tabF);

/******************** other ***********************/

int HeadStrCL(char *keyword, char *target);

#endif /*pragma once*/
